////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Base64Encoding.h
//    Cross-platform Base-64 encoding/decoding class.
//
//  Copyright (C) 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	10/10/10  K.L.S.  Created File.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/ExternalAPIMacros.h"

class EXTERNAL_API Base64Encoding
{
public:
	static CPData EncodeData(CPData DataToEncode);
	static CPData DecodeData(CPData DataToEncode);

private:
	Base64Encoding(void);
	~Base64Encoding(void);
};
