/*
 *  PlatformSpecificMacros.h
 *  CrossPlatformFramework
 *
 *  Created by Ken Sillart on 3/17/09.
 *  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
 *
 */

#pragma once

#ifdef _WINDOWS

#define PLATFORM_SPECIFIC_MAC(m)
#define PLATFORM_SPECIFIC_WINDOWS(w) w
#define PLATFORM_SPECIFIC_MAC_OR_WINDOWS(m,w) w

#else  // #ifdef _WINDOWS

#define PLATFORM_SPECIFIC_MAC(m) m
#define PLATFORM_SPECIFIC_WINDOWS(w)
#define PLATFORM_SPECIFIC_MAC_OR_WINDOWS(m,w) m

#endif  // ##else  // #ifdef _WINDOWS
