////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  OBCoordinate.h
//    A coordinate used in the CrossPlatform function calls.
//
//  Copyright (C) 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	09/30/10  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/PlatformSpecificMacros.h"

typedef PLATFORM_SPECIFIC_MAC_OR_WINDOWS(float, double) OBCoordinate;

inline OBCoordinate ToOBCoordinate(int Coordinate) { return (OBCoordinate)Coordinate; }
inline OBCoordinate ToOBCoordinate(float Coordinate) { return (OBCoordinate)Coordinate; }
inline OBCoordinate ToOBCoordinate(double Coordinate) { return (OBCoordinate)Coordinate; }
