////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  PDFColor.h
//    A typedef file for Colors used in the CrossPlatform PDF function calls.
//
//  Copyright (C) 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	09/16/10  G.R.W.  Created file from Ken's changes
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "ObsoleteBridge/OBColor.h"

class EXTERNAL_API PDFColor : public OBColor
{
public:
	PDFColor(void);
	PDFColor(float Red, float Green, float Blue, float Alpha);
	~PDFColor(void);

};
