////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  PDFCoordinate.h
//    A coordinate used in the CrossPlatform PDF function calls.
//
//  Copyright (C) 2010 MYOB US, Inc., all rights reserved.
//
//  Change History (most recent first):
//
//	09/30/10  K.L.S.  Created file.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "CrossPlatform/PlatformSpecificMacros.h"
#include "ObsoleteBridge/OBCoordinate.h"

typedef OBCoordinate PDFCoordinate;

inline PDFCoordinate ToPDFCoordinate(int Coordinate) { return (PDFCoordinate)Coordinate; }
inline PDFCoordinate ToPDFCoordinate(float Coordinate) { return (PDFCoordinate)Coordinate; }
inline PDFCoordinate ToPDFCoordinate(double Coordinate) { return (PDFCoordinate)Coordinate; }
