/*
 *  LanguageSpecificMacros.h
 *  CrossPlatformFramework
 *
 *  Created by Ken Sillart on 3/26/09.
 *  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
 *
 */

#pragma once

#ifdef __OBJC__

#define LANGUAGE_SPECIFIC_OBJECTIVE_C(oc) oc
#define LANGUAGE_SPECIFIC_MANAGED_C(oc)
#define LANGUAGE_SPECIFIC_C_OR_OBJECTIVE_C(c,oc) oc
#define LANGUAGE_SPECIFIC_OBJECTIVE_C_OR_C(oc,c) oc
#define LANGUAGE_SPECIFIC_MANAGED_C_OR_OBJECTIVE_C(mc,oc) oc

#else  // #ifdef __OBJC__

#define LANGUAGE_SPECIFIC_OBJECTIVE_C(oc)
#define LANGUAGE_SPECIFIC_MANAGED_C(mc) mc
#define LANGUAGE_SPECIFIC_C_OR_OBJECTIVE_C(c,oc) c
#define LANGUAGE_SPECIFIC_OBJECTIVE_C_OR_C(oc,c) c
#define LANGUAGE_SPECIFIC_MANAGED_C_OR_OBJECTIVE_C(mc,oc) mc

#endif  // ##else  // #ifdef __OBJC__
